<?php


namespace App\Facade;

use Illuminate\Support\Facades\Facade;


/**
 * @package App\Facades\Site
 * @see app/Client/Site.php
 * @method static getAppid()
 * @method static getAppToken()
 * @method static getCompanyName()
 * @method static getCompanyId()
 * @method static getChannelId()
 */
class Site extends Facade
{
    protected static function getFacadeAccessor()
    {
        return 'Site';
    }
}
